package com.sky.service;


import com.sky.common.result.PageResult;
import com.sky.pojo.dto.EmployeeDTO;
import com.sky.pojo.dto.EmployeeLoginDTO;
import com.sky.pojo.dto.EmployeePageQueryDTO;
import com.sky.pojo.dto.PasswordEditDTO;
import com.sky.pojo.entity.Employee;

public interface EmployeeService {

    /**
     * 员工登录
     *
     * @param employeeLoginDTO 员工等了信息
     * @return 员工信息
     */
    Employee login(EmployeeLoginDTO employeeLoginDTO);

    /**
     * 新增员工
     *
     * @param employeeDTO 员工信息
     */
    void save(EmployeeDTO employeeDTO);

    /**
     * 员工分页查询
     *
     * @param employeePageQueryDTO 员工前端请求信息
     * @return 封装分页查询结果
     */
    PageResult pageQuery(EmployeePageQueryDTO employeePageQueryDTO);

    /**
     * 启用禁用员工账号
     *
     * @param status 状态
     * @param id     当前id
     */
    void startOrStop(Integer status, Long id);

    /**
     * 根据id查询员工信息
     *
     * @param id 员工id
     * @return 员工信息
     */
    Employee getById(Long id);

    /**
     * 编辑员工信息
     *
     * @param employeeDTO 前端员工信息
     */
    void update(EmployeeDTO employeeDTO);

    /**
     * 修改密码
     *
     * @param passwordEditDTO 请求修改密码相关
     */
    void editPassword(PasswordEditDTO passwordEditDTO);
}
